MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
Clear Workflow Version SamplesCreate WorkflowGet Workflow RunGet WorkflowList Workflow RunsList Workflow Version Samples
API ReferenceWorkflows

Get Workflow Run

GET
/v1/agents/{agent_id}/workflow/runs/{run_id}

One run with its definition and every step's redacted input, output and state delta.

Requires the right to modify the agent and that the run's conversation is visible to the caller as on /conversations (403 missing_permission conversations:read_all otherwise), since the steps carry the caller's conversation content.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid
run_id*Run Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/workflow/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "source": "string",  "status": "string",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "step_count": 0,  "has_step_io": true,  "failed_node_id": "string",  "definition": {},  "steps": [    {      "step_index": 0,      "node_id": "string",      "entered_at": "string",      "transition": "string",      "state_delta": {},      "resolved_input": null,      "output": null,      "is_error": false,      "truncated": false,      "waited": false,      "io_pruned": false,      "transcript_through": 0    }  ]}
Empty
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Create Workflow

Previous Page

Get Workflow

Next Page